%global realname p1_pgsql
%global upstream processone


Name:       erlang-%{realname}
Version:    1.1.5
Release:    1%{?dist}
BuildArch:  noarch

License:    ERPL
Summary:    Pure Erlang PostgreSQL driver
URL:        https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:        scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:    https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz

Provides:   erlang-pgsql = %{version}-%{release}
Obsoletes:  erlang-pgsql < 0-16

BuildRequires: erlang-rebar


%description
Pure Erlang PostgreSQL driver.


%prep
%autosetup -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
%{erlang_test}


%files
%license EPLICENSE
%doc README.md
%{erlang_appdir}/


%changelog
* Tue Mar 27 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.5-1
- Update to 1.1.5 (#1496443).
- https://github.com/processone/p1_pgsql/blob/1.1.5/CHANGELOG.md

* Sun Mar 25 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.3-3
- Convert into a noarch package.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jul 31 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.3-1
- Update to 1.1.3 (#1459720).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 16 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.2-2
- Drop the backport API patch, as users have had a year to switch.

* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.2-1
- Update to 1.1.2 (#1412099).
- https://github.com/processone/p1_pgsql/blob/1.1.2/CHANGELOG.md
- Rebased backport API patch.
- Replaced some tabs with spaces.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
